List assignable Team Members
Returns same-organization staff without Clerk ids. Active assignable members are returned by default; status=inactive/all, salesforceUserId, and salesforceServiceResourceId filters are supported.
Returns same-organization staff without Clerk ids. Active assignable members are returned by default; status=inactive/all, salesforceUserId, and salesforceServiceResourceId filters are supported.
Organization API key. Format: Bearer sk_live_...
In: header
Query Parameters
Filter Team Members by active, inactive, or all status.
Value in
- "active"
- "inactive"
- "all"
Filter by the denormalized Salesforce User ID mirror maintained from External References.
Filter by the denormalized Salesforce Service Resource ID mirror maintained from External References.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/team-members"{ "data": [ { "id": "string", "email": "user@example.com", "firstName": "string", "lastName": "string", "displayName": "string", "role": "string", "isActive": true, "schedulable": true, "status": "ACTIVE", "phone": "string", "salesforceUserId": "string", "salesforceServiceResourceId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "meta": { "requestId": "string", "version": "v1", "timestamp": "2019-08-24T14:15:22Z", "rateLimit": { "limit": 0, "remaining": 0, "reset": 0 } }}